﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace ConverterDemo
{
    public class App : Application
    {
        SfDataGrid sfGrid;
        ViewModel vm;
        public App()
        {
            sfGrid = new SfDataGrid();
            vm = new ViewModel();

            sfGrid.ItemsSource = vm.Collection;
            sfGrid.ColumnSizer = ColumnSizer.None;
            sfGrid.AlternationCount = 2;
            sfGrid.GridStyle.AlternatingRowColor = Color.Blue;

            sfGrid.AutoGenerateColumns = false;
            sfGrid.AllowSorting = true;

            foreach (KeyValuePair<string, string> key in vm.List[0])
            {
                GridTextColumn col = new GridTextColumn();
                col.MappingName = "Val[" + key.Key + "]";
                col.Width = 120d;
                col.DisplayBinding = new Binding("Val[" + key.Key + "]", BindingMode.OneWay, new GridCurrencyConverter());
                sfGrid.Columns.Add(col);
            }


            MainPage = new ContentPage() { Content = sfGrid };

        }
    }
}
